Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRSubreportRunResult

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRSubreportRunResult

    public class JRSubreportRunResult

extends java.lang.Object

A result returned by `JRSubreportRunner.start()` or `JRSubreportRunner.resume()`.

Version:
  $Id: JRSubreportRunResult.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`JRSubreportRunResult(boolean finished, java.lang.Throwable exception)`

Method Summary
`java.lang.Throwable` | `getException()` Returns the exception thrown by the subreport fill.
`boolean` | `hasFinished()` Decides whether the subreport fill has finished (the subreport does not need to continue on a new page).
`boolean` | `isError()` Decides whether the fill has resulted in an error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRSubreportRunResult

    public JRSubreportRunResult(boolean finished,
                                java.lang.Throwable exception)

Method Detail

### isError

    public boolean isError()

  Decides whether the fill has resulted in an error.

  Returns:
    whether the fill has resulted in an error

### getException

    public java.lang.Throwable getException()

  Returns the exception thrown by the subreport fill.

  Returns:
    the exception thrown by the subreport fill

### hasFinished

    public boolean hasFinished()

  Decides whether the subreport fill has finished (the subreport does not need to continue on a new page).

  Returns:
    whether the subreport fill has finished

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com